% replica of the java code
%

lporder = 3;
aug_len = lporder + 2;

% will be directly entered and not computed
% so, java code will have to display "system.out.println" it out.
trn_d = [];

obsn_d = [0 0 1];

covar_nse_err_d = [ .001 0     0     0    0; 
                     0   0.001 0     0    0; 
                     0   0     0.001 0    0;
                     0   0     0     0.3  0;
                     0   0     0     0    0.2398];
alpha_d = 0.001;
beta_d = 2.0;
kappa_d = 0.0;
lambda_d = alpha_d * alpha_d * (aug_len + kappa_d) - aug_len;

wts_m = zeros(2*aug_len + 1, 1);
wts_c = zeros(2*aug_len + 1, 1);
wts_m(1) = lambda_d / (aug_len + lambda_d);
wts_c(1) = wts_m + ( 1- alpha_d * alpha_d + beta_d);

for i = 2:1:2 * (aug_len) + 1
    wts_m(i) = 1 / (2 * (aug_len + lambda_d));
	wts_c(i) = wts_m(i);
end;

est_obsn = 0.0;

% define the input sequence
% this will depend on the data points entered
%
obs_seq_d = [];